<template>
  <div>
    <div class="row">
      <div class="col-xs-2 col-head">
        стоимость заказа, ₽
      </div>
      <div class="col-xs-2 col-head right">
        Сумма аванса, ₽
      </div>
      <div class="col-xs-2 col-head right">
        Cбор за оформление документов + НДС, ₽
      </div>
    </div>
    <div class="advance-content">
      <div v-for="(item, index) in advanceData" :key="index" class="row">
        <div class="col-xs-2">
          От {{ item.from/100 | currency()}} ₽
          <span v-if="item.to">
            до {{ item.to/100   | currency()}} ₽
          </span>
        </div>
        <div class="col-xs-2 right">
          <ObInput
              v-model="item.sumAdvance"
              @blur="update"
              type="money"
          />
          <!--<advanceSlot :index="index" :item="item"/>-->
        </div>
        <div class="col-xs-2 right">
          <ObInput
              v-model="item.docServicePrice"
              @blur="update"
              type="money"
          />
          <!--<serviceSlot :index="index" :item="item"/>-->
        </div>
      </div>
    </div>
  </div>
</template>

<script>
//import advanceSlot from "./slots/advance";
//import serviceSlot from "./slots/service";
import ObInput from "common-components/src/obComponents/obInput";
import {mapGetters, mapActions} from "vuex";

export default {
  name: "Advance",
  components: {
   // advanceSlot,
   // serviceSlot,
    ObInput
  },
  data() {
    return {
      advanceData: []
    }
  },
  computed: {
    ...mapGetters({
      userUuid: 'user/participantUuid',
      settingsType: 'clicarSettings_2/settingsType',
      settings: 'clicarSettings_2/settings',
    }),
    columns() {
      return [
        {
          title: 'стоимость заказа, ₽',
          key: 'price',
          slotName: 'price'
        },
        {
          title: 'Сумма аванса, ₽',
          key: 'advance',
          slotName: 'advance'
        },
        {
          title: 'Cбор за оформление документов + НДС, ₽',
          key: 'service',
          slotName: 'service'
        }
      ]
    }
  },
  methods: {
    ...mapActions({
      getSettings: 'clicarSettings_2/getSettings',
      getSettingsType: 'clicarSettings_2/getSettingsType',
      putSettings: 'clicarSettings_2/putSettings',
      update() {
        this.putSettings().then( () => {
          this.$notification({
            type: 'system_notification_success',
            message: 'Сохранено'
          })
        })
      }
    })
  },
  mounted() {
    this.getSettingsType('ADVANCE')
    this.getSettings(this.userUuid).then( () => {
      this.advanceData = this.settings.advance
    })
  }
}
</script>
<style scoped lang="scss">
@import "~common-components/src/static/css/mixins";
@import "~common-components/src/static/css/variables";
.col-head{
  @include font-mixin(10px, 11px, 400);
  text-transform: uppercase;
  color: $shale-gray;
}
.right{
  text-align: right;
}
::v-deep .ob-input-wrap{
  height: 30px;
  .input{
    text-align: right;
  }
}
.advance-content{
  margin-top: 35px;
  .row{
    margin-bottom: 44px;
  }
}
</style>
